<template>
	<div>
		<CommonHeader :setOrden="true" :showIcon="true" :showBackButton="true" :title="$t('help')"></CommonHeader>
		<div class="content">
			<div class="content-title">
				<p>{{ $t('help') }}</p>
			</div>
			<form class="form-crear">
				<div class="form-group">
					<label>{{ $t('affair') }}</label>
					<input :placeholder="$t('reasonContact')" v-model="affairValue"/>
				</div>

				<div class="form-group">
					<label>{{ $t('tellUsMore') }} </label>
					<textarea :placeholder="$t('detailsContactingUs')" name="textarea" rows="10" cols="50" v-model="detailsValue"></textarea>
				</div>

				<!-- <div>
					<label>{{$t('uploadEvidence') }}</label>
					<div id="div_file">
						<p id="texto">
							<i class="fa fa-download" aria-hidden="true"></i>
							{{ $t('selectFile')}}
						</p>
						<input type="file" />
					</div>
				</div> -->
			</form>

            <WhatsApp :contactUs="true" :issue="affair" :moreDetails="details"></WhatsApp>
			<!-- <AjaxButton
				class="final-button"
				:loading="loading"
				:text="$t('Confirm')"
				@click="sendForm()"
			></AjaxButton> -->
		</div>
	</div>
</template>
<script lang="ts">
import { Component, Vue, Watch } from 'vue-property-decorator'
import CommonHeader from '@/components/CommonHeader.vue'
import AjaxButton from '@/components/AjaxButton.vue'
import WhatsApp from '@/components/WhatsAppButtom.vue'
@Component({
	components: {
		CommonHeader,
        AjaxButton,
        WhatsApp
	}
})
export default class Menu extends Vue {
	loading = false

	affairValue = ""
	detailsValue = ""

	get affair(){
		return this.affairValue
	}

	get details(){
		return this.detailsValue
	}


	@Watch('affair')
	onAffairChanged(newValue){
		this.affairValue = newValue
	}

	@Watch('details')
	onDetailsChanged(newValue){
		this.detailsValue = newValue
	}
}
</script>
<style lang="scss" scoped>
.CommonHeader {
	text-transform: uppercase;
}
p {
	margin: 0;
}
.content {
	padding: 1.5em;
}
.content-title {
	p {
		color: rgba(254, 202, 56, 1);
		font-weight: bold;
		font-size: 1.8em;
		margin: 0.5em 0;
	}
}

.form-crear {
	label {
		font-size: 1em;
		color: #000;
		margin-bottom: 0.4em;
	}
	.form-group {
		display: grid;
		margin: 1em 0;

		input,
		textarea {
			border-radius: 7px;
			border: 0.5px solid rgba(192, 192, 192, 1);
			padding: 0.8em 0.8em 0.8em 10px;
		}
		input::-webkit-input-placeholder,
		textarea::-webkit-input-placeholder {
			color: rgba(117, 112, 112, 1);
			font-size: 1.2em;
			font-family: 'Roboto Condensed';
		}
	}
}

#div_file {
	position: relative;
	margin: 10px 0;
	padding: 0.5em;
	width: 100%;
	border: 1px solid #feca38;
	box-sizing: border-box;
	border-radius: 6px;

	p {
		text-align: center;
		color: #feca38;
		font-size: 18px;
		line-height: 27px;
	}

	input {
		position: absolute;
		opacity: 0;
	}
}

	.btn-wa {
		// margin-bottom: 5px !important;
		width: 99%;
        height: 50px;
        margin: 5% auto;
	}
.final-button {
	color: #ffffff;
	font-size: 18px;
	line-height: 27px;
	font-weight: 500;
}
</style>
